This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 167263 - Python traceback upon submitting advisory text - parse error.
Python traceback upon submitting advisory text - parse error.
Status: CLOSED CURRENTRELEASE
Product: Fedora Infrastructure
Classification: Retired
Component: update system (Show other bugs)
unspecified
All Linux
medium Severity high
: ---
: ---
Assigned To: Luke Macken
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 20:49 EDT by Mike A. Harris
Modified: 2016-09-19 22:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-02 21:37:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2005-08-31 20:49:00 EDT
Description of problem:
Fedora errata system explodes with a Python traceback when I submit my
advisory text:



Mod_python error: "PythonHandler mod_python.publisher"

Traceback (most recent call last):

  File
"/usr/src/build/513032-i386/install/usr/lib/python2.2/site-packages/mod_python/apache.py",
line 332, in HandlerDispatch

  File
"/usr/src/build/513032-i386/install/usr/lib/python2.2/site-packages/mod_python/publisher.py",
line 199, in handler

  File "/mnt/redhat/fedora-updates/edit.py", line 61, in add_update
    db.query(query)

  File "/mnt/redhat/fedora-updates/db.py", line 80, in query
    result = db.query(q)

_pg.error: ERROR:  parser: parse error at or near "Option" at character 1585




Here is a copy of the advisory text I was trying to submit:
=====8<==========================================================
This new release of xorg-x11 provides a number of bug
fixes to the previous release, including:

- Fix for the infamous "libvgahw" bug, which was caused
  by a gcc compiler bug.  Many users were affected by this
  issue, exhibiting symptoms such as X server crash or
  corrupted display during OS installation or during X
  server startup after performing a text mode install.
  Green or blue border/banding on screen for mga and
  some other hardware.  A variety of video hardware that
  was affected by this issue should now work.  Some users
  may still experience problems with similar sounding
  symptoms after this update, and should query bugzilla
  to find out if the particular issue is already
  reported in a separate bug, or file a new report
  if they still experience problems.

- A problem with the Dutch keyboard layout has been
  resolved.

- The open source "nv" driver for Nvidia hardware has been
  updated to the latest version.  Additionally, a
  workaround has been added to the driver to disable known
  unstable acceleration primitives on some GeForce
  6200/6600/6800 models.

- Several bugs have been fixed in the Xnest X server.

- DRI is now enabled by default on all ATI Radeon hardware
  except for the Radeon 7000/Radeon VE chipsets, which
  is known to be unstable for many users currently when
  DRI is enabled.  Radeon 7000 users can re-enable DRI
  if desired by using 'Option "DRI" in the device
  section of the config file, with the understanding that
  we consider it unstable currently.

- The X server's pci config space handling code has been
  updated to avoid PCI config space contention issues
  between the X server and the kernel.  This resolves a
  number of bugs that have been reported to us concerning
  transient system lockups during OS startup on certain
  systems containing certain specific hardware
  combinations.

Fedora Core 4 users are encouraged to update to this new
release, and report any regressions in bugzilla.
=====8<==========================================================


It appears that it is trying to parse the actual advisory text
that is input, instead of treating it as a block of text.  There
may be security vulnerabilities in the CGI script code perhaps.
I'm going to update the text using some other syntax to try and
avoid the bug.
Comment 1 Mike A. Harris 2005-08-31 20:58:32 EDT
After removing the ' in front of "Option", it had another traceback on
the line beginning "The X server's", due to the ' I used there too.  Kindof
surprising that nobody has used a common punctuation symbol ' in an advisory
for FC yet.  ;o)




Mod_python error: "PythonHandler mod_python.publisher"

Traceback (most recent call last):

  File
"/usr/src/build/513032-i386/install/usr/lib/python2.2/site-packages/mod_python/apache.py",
line 332, in HandlerDispatch

  File
"/usr/src/build/513032-i386/install/usr/lib/python2.2/site-packages/mod_python/publisher.py",
line 199, in handler

  File "/mnt/redhat/fedora-updates/edit.py", line 61, in add_update
    db.query(query)

  File "/mnt/redhat/fedora-updates/db.py", line 80, in query
    result = db.query(q)

_pg.error: ERROR:  parser: parse error at or near "s" at character 1726

Comment 2 Luke Macken 2005-09-02 21:37:01 EDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.